package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.UrbanRuralContrast;
import com.lightinit.hsdatashow.entity.UrbanRuralContrastExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface UrbanRuralContrastMapper {
    long countByExample(UrbanRuralContrastExample example);

    int deleteByExample(UrbanRuralContrastExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UrbanRuralContrast record);

    int insertSelective(UrbanRuralContrast record);

    List<UrbanRuralContrast> selectByExample(UrbanRuralContrastExample example);

    UrbanRuralContrast selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UrbanRuralContrast record, @Param("example") UrbanRuralContrastExample example);

    int updateByExample(@Param("record") UrbanRuralContrast record, @Param("example") UrbanRuralContrastExample example);

    int updateByPrimaryKeySelective(UrbanRuralContrast record);

    int updateByPrimaryKey(UrbanRuralContrast record);
}